summaryrefslogtreecommitdiff
path: root/dev-qt
diff options
context:
space:
mode:
authorV3n3RiX <venerix@redcorelinux.org>2018-05-14 12:00:05 +0100
committerV3n3RiX <venerix@redcorelinux.org>2018-05-14 12:00:05 +0100
commit7518d271db86c2cdebde86979d5427a5ac7e123e (patch)
tree8564afd24b3cc8111e579c1237a54e79eac82389 /dev-qt
parent12b86e5f9f9e4ff13a27717424f2b4afbf76104a (diff)
dev-qt/qtlocation : import from gentoo tree, make it use our eclass, increase revision to beat gentoo
Diffstat (limited to 'dev-qt')
-rw-r--r--dev-qt/qtlocation/Manifest1
-rw-r--r--dev-qt/qtlocation/qtlocation-5.9.5-r1000.ebuild44
2 files changed, 45 insertions, 0 deletions
diff --git a/dev-qt/qtlocation/Manifest b/dev-qt/qtlocation/Manifest
new file mode 100644
index 00000000..9b583e7e
--- /dev/null
+++ b/dev-qt/qtlocation/Manifest
@@ -0,0 +1 @@
+DIST qtlocation-opensource-src-5.9.5.tar.xz 5405920 BLAKE2B cd405d3a1eeed95c1c9f8759cc0d3c34d532de6f11c030296cb652e37aba66628578551fc73d5e283a373426b1e7b816b092cad1329d0a61f349650e88836a53 SHA512 80d8a8f3e82238c8a7f3e37999d5f118857e0037e60979de00219db45b3c716e6ac092f0b848c00cccbeb0ac19a1a2f4479bf92c7db701de1b3d239161d46d15
diff --git a/dev-qt/qtlocation/qtlocation-5.9.5-r1000.ebuild b/dev-qt/qtlocation/qtlocation-5.9.5-r1000.ebuild
new file mode 100644
index 00000000..9404fc31
--- /dev/null
+++ b/dev-qt/qtlocation/qtlocation-5.9.5-r1000.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit qt5-build-r10000
+
+DESCRIPTION="The Location module for the Qt5 framework"
+
+if [[ ${QT5_BUILD_TYPE} == release ]]; then
+ KEYWORDS="amd64"
+fi
+
+IUSE=""
+
+RDEPEND="
+ ~dev-qt/qtcore-${PV}
+ ~dev-qt/qtdeclarative-${PV}
+ ~dev-qt/qtgui-${PV}
+ ~dev-qt/qtnetwork-${PV}
+ ~dev-qt/qtpositioning-${PV}
+ ~dev-qt/qtsql-${PV}
+ sys-libs/zlib
+"
+DEPEND="${RDEPEND}
+ ~dev-qt/qtconcurrent-${PV}
+"
+
+QT5_TARGET_SUBDIRS=(
+ src/3rdparty/clipper
+ src/3rdparty/poly2tri
+ src/3rdparty/clip2tri
+ src/3rdparty/mapbox-gl-native
+ src/location
+ src/imports/location
+ src/plugins/geoservices
+)
+
+src_configure() {
+ # src/plugins/geoservices requires files that are only generated when
+ # qmake is run in the root directory. Bug 633776.
+ mkdir -p "${QT5_BUILD_DIR}" || die
+ qt5_qmake "${QT_BUILD_DIR}"
+ qt5-build-r10000_src_configure
+}